#include <iostream>
using namespace std;
int a, b, L, tr;
int main() {
    cin>>a>>b>>L;
    for(int k=a+b; k<=L; k++){
        bool tru=false;
        for(int x=1; x<L; x++){
            int ost=(k-a*x);
            if(ost%b==0 && ost/b>0){
                tru=true;
            }
        }
        if(tru){
            tr++;
        }
    }
    cout<<L-tr<<'\n';
    return 0;
}
